如何find所有已安装的软件包取决于NPM中给定的软件包?

我有一个npm包,我想更新。 我可以更新我的package.json,但我不想破坏一些东西。 有没有办法列出所有依赖它的安装包?

       

网上收集的解决方案 "如何find所有已安装的软件包取决于NPM中给定的软件包?"

您正在寻找https://docs.npmjs.com/cli/ls

例如,要查看哪些软件包依赖于contextify ,可以运行:

 npm ls contextify app-name@0.0.1 /home/zorbash/some-project └─┬ d3@3.3.6 └─┬ jsdom@0.5.7 └── contextify@0.1.15 

只要做到这一点,什么都不会中断。 如果两个软件包依赖于同一个软件包的不同版本, npm将只抓取它们并将它们放在各自的node_modules目录中。